## Index

### Classes

- PrivacyPolicy
- SettingsPageList
- TermsOfService

### Interfaces

- CallSupportSettingProps
- CallSupportSettingStyles
- ContextBundleData
- ContextBundleProps
- CreateSettingsRoutesOptions
- LinkingSettingItemProps
- SettingListProps
- SettingsAppIconProps
- SettingsAppIconStyles
- SettingsPageDesktopProps
- SettingsPageDesktopStyles
- SettingsPageItemDesktopProps
- SettingsPageItemDesktopStyles
- SettingsPageItemMobileProps
- SettingsPageItemMobileStyles
- SettingsPageItemProps
- SettingsPageListProps
- SettingsPageMobileProps
- SettingsPageMobileStyles
- SettingsPageProps

### Variables

- Component
- JsonLayout
- VERSION
- VERSION_NUMBER
- mockGetDimensions
- pages
- values

### Functions

- AppearanceSettingList
- CallSupportSetting
- ContextBundle
- DarkModeSetting
- DeveloperSetting
- EmailSupportSetting
- InformationSettingList
- LanguageSetting
- LanguageSettingList
- LegalSettingList
- LinkingSettingItem
- PrivacyPolicySetting
- SettingList
- SettingsAppIcon
- SettingsPageDesktop
- SettingsPageItemDesktop
- SettingsPageItemMobile
- SettingsPageMobile
- SupportSettingList
- TermsOfServiceSetting
- Test
- TextDirectionSetting
- ThemeSelectionSetting
- VersionSetting
- createDesktopNavigator
- createMobileRoutes
- createSettingsRoutes
- defaultStyles
- getIcon
- getTitle
- isSupportOpen
- routes
- ur
- urRoman
- useScreenProps

### Object literals

- ModeName
- components
- defaultConfigs
- item
- lang
- layouts
- settings

## Variables

### Let Component

Component: any

- Defined in src/lib/index.test.tsx:20

### Const JsonLayout

JsonLayout: ComponentClass<JsonLayoutProps, any> | FunctionComponent<JsonLayoutProps> = getComponent<JsonLayoutProps>('JsonLayout')

- Defined in src/components/AppearanceSettingList/AppearanceSettingList.tsx:5
- Defined in src/components/InformationSettingList/InformationSettingList.tsx:5
- Defined in src/components/LanguageSettingList/LanguageSettingList.tsx:5
- Defined in src/components/LegalSettingList/LegalSettingList.tsx:5
- Defined in src/components/SupportSettingList/SupportSettingList.tsx:5

### Const VERSION

VERSION: "3.0.1" = "3.0.1"

- Defined in src/version.ts:2

### Const VERSION_NUMBER

VERSION_NUMBER: 300001000 = 300001000

- Defined in src/version.ts:3

### Const mockGetDimensions

mockGetDimensions: Mock<any, any> = jest.fn().mockReturnValue({height: 800,width: 300,})

- Defined in src/lib/index.test.tsx:1

### Const pages

pages: SettingsPageProps[] = [{name: 'GeneralSettingsPage',path: 'general',navigationOptions: {drawerIcon: { type: 'icon', name: 'cog' },title: 'General',},items: [{component: 'AppearanceSettingList',description: 'All your theme related settings reside here.',name: 'appearance',title: 'Appearance',},{component: 'LanguageSettingList',description: 'Change your language settings here',name: 'language',title: 'Language',},],},{name: 'AboutSettingsPage',path: 'about',navigationOptions: {drawerIcon: { type: 'icon', name: 'information' },title: 'About',},items: [{component: 'SupportSettingList',name: 'support',title: 'Support',},{component: 'InformationSettingList',name: 'information',title: 'Information',},{component: 'LegalSettingList',name: 'legal',title: 'Legal',},],} as any,]

- Defined in src/routes/pages.tsx:3

### Const values

values: object[] = [{description: 'Text Direction will automatically changed based on selected language.',label: 'Auto',value: 'auto',},{description: 'Text will be displayed from Left to Right',label: 'Left to Right',value: 'ltr',},{description: 'Text will be displayed from Right to Left',label: 'Right to Left',value: 'rtl',},]

- Defined in src/settings/TextDirectionSetting/TextDirectionSetting.tsx:6

## Functions

### Const AppearanceSettingList

- AppearanceSettingList(): Element

- - Defined in src/components/AppearanceSettingList/AppearanceSettingList.tsx:7

  #### Returns Element

### Const CallSupportSetting

- CallSupportSetting(props: CallSupportSettingProps): Element

- - Defined in src/settings/CallSupportSetting/CallSupportSetting.tsx:33

  #### Parameters

  - ##### props: CallSupportSettingProps

  #### Returns Element

### Const ContextBundle

- ContextBundle(__namedParameters: object): Element

- - Defined in src/layouts/ContextBundle.tsx:19

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: function

      - - (opts: ContextBundleData): ReactElement

        - #### Parameters

          - ##### opts: ContextBundleData

          #### Returns ReactElement

  #### Returns Element

### Const DarkModeSetting

- DarkModeSetting(): Element

- - Defined in src/settings/DarkModeSetting/DarkModeSetting.tsx:13

  #### Returns Element

### Const DeveloperSetting

- DeveloperSetting(): null | Element

- - Defined in src/settings/DeveloperSetting/DeveloperSetting.tsx:7

  #### Returns null | Element

### Const EmailSupportSetting

- EmailSupportSetting(): Element

- - Defined in src/settings/EmailSupportSetting/EmailSupportSetting.tsx:9

  #### Returns Element

### Const InformationSettingList

- InformationSettingList(): Element

- - Defined in src/components/InformationSettingList/InformationSettingList.tsx:7

  #### Returns Element

### Const LanguageSetting

- LanguageSetting(): Element

- - Defined in src/settings/LanguageSetting/LanguageSetting.tsx:5

  #### Returns Element

### Const LanguageSettingList

- LanguageSettingList(): Element

- - Defined in src/components/LanguageSettingList/LanguageSettingList.tsx:7

  #### Returns Element

### Const LegalSettingList

- LegalSettingList(): Element

- - Defined in src/components/LegalSettingList/LegalSettingList.tsx:7

  #### Returns Element

### Const LinkingSettingItem

- LinkingSettingItem(__namedParameters: object): Element

- - Defined in src/components/LinkingSettingItem/LinkingSettingItem.tsx:10

  #### Parameters

  - ##### __namedParameters: object

    - ##### rest: rest

    - ##### url: string

  #### Returns Element

### Const PrivacyPolicySetting

- PrivacyPolicySetting(): Element

- - Defined in src/settings/PrivacyPolicySetting/PrivacyPolicySetting.tsx:7

  #### Returns Element

### Const SettingList

- SettingList(props: SettingListProps): Element

- - Defined in src/components/SettingList/SettingList.tsx:10

  #### Parameters

  - ##### props: SettingListProps

  #### Returns Element

### Const SettingsAppIcon

- SettingsAppIcon(__namedParameters: object): Element

- - Defined in src/components/SettingsAppIcon/SettingsAppIcon.tsx:17

  #### Parameters

  - ##### __namedParameters: object

    - ##### _styles: undefined | object

    - ##### size: number

  #### Returns Element

### Const SettingsPageDesktop

- SettingsPageDesktop(props: SettingsPageDesktopProps): Element

- - Defined in src/layouts/SettingsPage/SettingsPageDesktop.tsx:30

  #### Parameters

  - ##### props: SettingsPageDesktopProps

  #### Returns Element

### Const SettingsPageItemDesktop

- SettingsPageItemDesktop(props: SettingsPageItemDesktopProps): Element

- - Defined in src/layouts/SettingsPageItem/SettingsPageItemDesktop.tsx:48

  #### Parameters

  - ##### props: SettingsPageItemDesktopProps

  #### Returns Element

### Const SettingsPageItemMobile

- SettingsPageItemMobile(props: SettingsPageItemMobileProps): Element

- - Defined in src/layouts/SettingsPageItem/SettingsPageItemMobile.tsx:35

  #### Parameters

  - ##### props: SettingsPageItemMobileProps

  #### Returns Element

### Const SettingsPageMobile

- SettingsPageMobile(props: SettingsPageMobileProps): Element

- - Defined in src/layouts/SettingsPage/SettingsPageMobile.tsx:22

  #### Parameters

  - ##### props: SettingsPageMobileProps

  #### Returns Element

### Const SupportSettingList

- SupportSettingList(): Element

- - Defined in src/components/SupportSettingList/SupportSettingList.tsx:7

  #### Returns Element

### Const TermsOfServiceSetting

- TermsOfServiceSetting(): Element

- - Defined in src/settings/TermsOfServiceSetting/TermsOfServiceSetting.tsx:7

  #### Returns Element

### Const Test

- Test(): Element

- - Defined in src/components/SettingList/__test__/SettingList.test.tsx:12

  #### Returns Element

### Const TextDirectionSetting

- TextDirectionSetting(): Element

- - Defined in src/settings/TextDirectionSetting/TextDirectionSetting.tsx:24

  #### Returns Element

### Const ThemeSelectionSetting

- ThemeSelectionSetting(): Element

- - Defined in src/settings/ThemeSelectionSetting/ThemeSelectionSetting.tsx:5

  #### Returns Element

### Const VersionSetting

- VersionSetting(): Element

- - Defined in src/settings/VersionSetting/VersionSetting.tsx:6

  #### Returns Element

### Const createDesktopNavigator

- createDesktopNavigator(__namedParameters: object): NavigatorProps
- createDesktopNavigator(__namedParameters: object): NavigatorProps

- - Defined in src/lib/createDesktopNavigator.tsx:9

  #### Parameters

  - ##### __namedParameters: object

    - ##### filter: undefined | string

    - ##### pages: SettingsPageProps[]

  #### Returns NavigatorProps

- - Defined in src/createSettingsRoutes/createDesktopNavigator.tsx:8

  #### Parameters

  - ##### __namedParameters: object

    - ##### pages: SettingsPageProps[]

  #### Returns NavigatorProps

### Const createMobileRoutes

- createMobileRoutes(__namedParameters: object): RouteConfig[]

- - Defined in src/lib/createMobileNavigator.tsx:11

  #### Parameters

  - ##### __namedParameters: object

    - ##### filter: undefined | string

    - ##### pages: SettingsPageProps[]

    - ##### route: RouteConfig

  #### Returns RouteConfig[]

### Const createSettingsRoutes

- createSettingsRoutes(__namedParameters: object): RouteConfig[]

- - Defined in src/lib/createSettingsRoutes.tsx:13

  #### Parameters

  - ##### __namedParameters: object

    - ##### filter: string

    - ##### mainRoute: RouteConfig

    - ##### pages: SettingsPageProps[]

  #### Returns RouteConfig[]

### Const defaultStyles

- defaultStyles(theme: Theme): SettingsPageItemDesktopStyles
- defaultStyles(theme: Theme): SettingsPageItemMobileStyles
- defaultStyles(theme: Theme): SettingsPageDesktopStyles
- defaultStyles(_theme: Theme): SettingsPageMobileStyles
- defaultStyles(theme: Theme): CallSupportSettingStyles

- - Defined in src/layouts/SettingsPageItem/SettingsPageItemDesktop.tsx:20

  #### Parameters

  - ##### theme: Theme

  #### Returns SettingsPageItemDesktopStyles

- - Defined in src/layouts/SettingsPageItem/SettingsPageItemMobile.tsx:21

  #### Parameters

  - ##### theme: Theme

  #### Returns SettingsPageItemMobileStyles

- - Defined in src/layouts/SettingsPage/SettingsPageDesktop.tsx:20

  #### Parameters

  - ##### theme: Theme

  #### Returns SettingsPageDesktopStyles

- - Defined in src/layouts/SettingsPage/SettingsPageMobile.tsx:18

  #### Parameters

  - ##### _theme: Theme

  #### Returns SettingsPageMobileStyles

- - Defined in src/settings/CallSupportSetting/CallSupportSetting.tsx:21

  #### Parameters

  - ##### theme: Theme

  #### Returns CallSupportSettingStyles

### getIcon

- getIcon(options: NavigationOptions): any

- - Defined in src/layouts/SettingsPageList/SettingsPageList.tsx:66

  #### Parameters

  - ##### options: NavigationOptions

  #### Returns any

### getTitle

- getTitle(options: NavigationOptions): any

- - Defined in src/layouts/SettingsPageList/SettingsPageList.tsx:62

  #### Parameters

  - ##### options: NavigationOptions

  #### Returns any

### isSupportOpen

- isSupportOpen(date: Date, days: number[], opens: number, closes: number): boolean

- - Defined in src/settings/CallSupportSetting/isSupportOpen.ts:1

  #### Parameters

  - ##### date: Date

  - ##### days: number[]

  - ##### opens: number

  - ##### closes: number

  #### Returns boolean

### Const routes

- routes(__namedParameters: object): Promise<RouteConfig[]>

- - Defined in src/routes/routes.ts:7

  #### Parameters

  - ##### __namedParameters: object

    - ##### BB: BlueBase

  #### Returns Promise<RouteConfig[]>

### Const ur

- ur(messages: IntlMessages): object

- - Defined in src/lang/ur.ts:3

  #### Parameters

  - ##### messages: IntlMessages

  #### Returns object

  - ##### About: string

  - ##### All your theme related settings reside here.: string

  - ##### App Information: string

  - ##### Appearance: string

  - ##### Auto: string

  - ##### Available Themes: string

  - ##### BlueBase Dark: string

  - ##### BlueBase Light: string

  - ##### Change to Dark Mode: string

  - ##### Change your language settings here: string

  - ##### Dark Mode: string

  - ##### Developed by: string

  - ##### English: string

  - ##### General: string

  - ##### Language: string

  - ##### Left to Right: string

  - ##### Right to Left: string

  - ##### Setting: string

  - ##### Settings: string

  - ##### Switch to Dark Mode: string

  - ##### Text Direction: string

  - ##### Text Direction will automatically changed based on selected language.: string

  - ##### Text will be displayed from Left to Right: string

  - ##### Text will be displayed from Right to Left: string

  - ##### Theme: string

  - ##### Version: string

### Const urRoman

- urRoman(messages: IntlMessages): object

- - Defined in src/lang/ur-roman.ts:3

  #### Parameters

  - ##### messages: IntlMessages

  #### Returns object

  - ##### About: string

  - ##### All your theme related settings reside here.: string

  - ##### App Information: string

  - ##### Appearance: string

  - ##### Auto: string

  - ##### Available Themes: string

  - ##### BlueBase Dark: string

  - ##### BlueBase Light: string

  - ##### Change your language settings here: string

  - ##### Dark Mode: string

  - ##### Developed by: string

  - ##### English: string

  - ##### General: string

  - ##### Language: string

  - ##### Left to Right: string

  - ##### Right to Left: string

  - ##### Setting: string

  - ##### Switch to Dark Mode: string

  - ##### Text Direction: string

  - ##### Text Direction will automatically changed based on selected language.: string

  - ##### Text will be displayed from Left to Right: string

  - ##### Text will be displayed from Right to Left: string

  - ##### Theme: string

  - ##### Version: string

### useScreenProps

- useScreenProps(): object

- - Defined in src/hooks/useScreenProps.ts:3

  #### Returns object

  - ##### BB: BlueBase

  - ##### intl: IntlContextData

  - ##### theme: Theme

## Object literals

### Const ModeName

ModeName: object

- Defined in src/settings/DarkModeSetting/DarkModeSetting.tsx:7

### auto

auto: string = "System"

- Defined in src/settings/DarkModeSetting/DarkModeSetting.tsx:8

### dark

dark: string = "Dark"

- Defined in src/settings/DarkModeSetting/DarkModeSetting.tsx:9

### light

light: string = "Light"

- Defined in src/settings/DarkModeSetting/DarkModeSetting.tsx:10

### Const components

components: object

- Defined in src/components/index.ts:12
- Defined in src/components/index.web.ts:1

### AppearanceSettingList

AppearanceSettingList: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/AppearanceSettingList/index"> = import('./AppearanceSettingList')

- Defined in src/components/index.ts:13
- Defined in src/components/index.web.ts:2

### InformationSettingList

InformationSettingList: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/InformationSettingList/index"> = import('./InformationSettingList')

- Defined in src/components/index.ts:14
- Defined in src/components/index.web.ts:3

### LanguageSettingList

LanguageSettingList: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/LanguageSettingList/index"> = import('./LanguageSettingList')

- Defined in src/components/index.ts:15
- Defined in src/components/index.web.ts:4

### LegalSettingList

LegalSettingList: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/LegalSettingList/index"> = import('./LegalSettingList')

- Defined in src/components/index.ts:16
- Defined in src/components/index.web.ts:5

### LinkingSettingItem

LinkingSettingItem: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/LinkingSettingItem/index"> = import('./LinkingSettingItem')

- Defined in src/components/index.ts:19
- Defined in src/components/index.web.ts:8

### PrivacyPolicy

PrivacyPolicy: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/PrivacyPolicy/index"> = import('./PrivacyPolicy')

- Defined in src/components/index.ts:20
- Defined in src/components/index.web.ts:9

### SettingList

SettingList: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/SettingList/index"> = import('./SettingList')

- Defined in src/components/index.ts:21
- Defined in src/components/index.web.ts:10

### SettingsAppIcon

SettingsAppIcon: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/SettingsAppIcon/index"> = import('./SettingsAppIcon')

- Defined in src/components/index.ts:22
- Defined in src/components/index.web.ts:11

### SupportSettingList

SupportSettingList: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/SupportSettingList/index"> = import('./SupportSettingList')

- Defined in src/components/index.ts:17
- Defined in src/components/index.web.ts:6

### TermsOfService

TermsOfService: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/components/TermsOfService/index"> = import('./TermsOfService')

- Defined in src/components/index.ts:23
- Defined in src/components/index.web.ts:12

### Const defaultConfigs

defaultConfigs: object

- Defined in src/configs/defaultConfigs.ts:1

### developer

developer: string = "Blueeast"

- Defined in src/configs/defaultConfigs.ts:27

Adds developer on about page

### developerUrl

developerUrl: string = "https://www.blueeast.com/"

- Defined in src/configs/defaultConfigs.ts:30

Adds developer redirect url

### plugin.settings-app.support.call.closes

plugin.settings-app.support.call.closes: null = null

- Defined in src/configs/defaultConfigs.ts:19

Call support closing hour in HH format UTC.

### plugin.settings-app.support.call.days

plugin.settings-app.support.call.days: number[] = [1, 2, 3, 4, 5]

- Defined in src/configs/defaultConfigs.ts:9

A Number, from 0 to 6, representing the day of the week. Specifies the days support is available. Defaults to Mon-Fri.

### plugin.settings-app.support.call.number

plugin.settings-app.support.call.number: null = null

- Defined in src/configs/defaultConfigs.ts:24

Phone number for call center

### plugin.settings-app.support.call.opens

plugin.settings-app.support.call.opens: null = null

- Defined in src/configs/defaultConfigs.ts:14

Call support opening hour in HH format UTC.

### plugin.settings-app.support.email

plugin.settings-app.support.email: null = null

- Defined in src/configs/defaultConfigs.ts:3

Support email. If set, Email option is show in Support section of About page

### Const item

item: object

- Defined in src/layouts/SettingsPage/__stories__/SettingsPage.stories.tsx:11
- Defined in src/layouts/SettingsPage/__test__/SettingsPageDesktop.test.tsx:12
- Defined in src/layouts/SettingsPage/__test__/SettingsPageMobile.test.tsx:11
- Defined in src/layouts/SettingsPageItem/__stories__/SettingsPageItem.stories.tsx:10
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageItemDesktop.test.tsx:12
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageMobile.test.tsx:12

### component

component: string = "ThemeSettingsList"

- Defined in src/layouts/SettingsPageItem/__stories__/SettingsPageItem.stories.tsx:11

### description

description: string = "All your theme related settings reside here."

- Defined in src/layouts/SettingsPageItem/__stories__/SettingsPageItem.stories.tsx:12

### items

items: object[] = [{component: DarkModeSetting,description: 'All your theme related settings reside here.',name: 'theme-settings-1',title: 'Theme',},{component: ThemeSelectionSetting,description: 'Select you language settings here',name: 'theme-settings-2',title: 'Localization',},]

- Defined in src/layouts/SettingsPage/__stories__/SettingsPage.stories.tsx:16
- Defined in src/layouts/SettingsPage/__test__/SettingsPageDesktop.test.tsx:16
- Defined in src/layouts/SettingsPage/__test__/SettingsPageMobile.test.tsx:15
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageItemDesktop.test.tsx:16
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageMobile.test.tsx:16

### name

name: string = "AppearanceSettingsPage"

- Defined in src/layouts/SettingsPage/__stories__/SettingsPage.stories.tsx:13
- Defined in src/layouts/SettingsPage/__test__/SettingsPageDesktop.test.tsx:13
- Defined in src/layouts/SettingsPage/__test__/SettingsPageMobile.test.tsx:12
- Defined in src/layouts/SettingsPageItem/__stories__/SettingsPageItem.stories.tsx:13
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageItemDesktop.test.tsx:13
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageMobile.test.tsx:13

### path

path: string = "appearance"

- Defined in src/layouts/SettingsPage/__stories__/SettingsPage.stories.tsx:14
- Defined in src/layouts/SettingsPage/__test__/SettingsPageDesktop.test.tsx:14
- Defined in src/layouts/SettingsPage/__test__/SettingsPageMobile.test.tsx:13
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageItemDesktop.test.tsx:14
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageMobile.test.tsx:14

### title

title: string = "Theme"

- Defined in src/layouts/SettingsPageItem/__stories__/SettingsPageItem.stories.tsx:14

### navigationOptions

navigationOptions: object

- Defined in src/layouts/SettingsPage/__stories__/SettingsPage.stories.tsx:28
- Defined in src/layouts/SettingsPage/__test__/SettingsPageDesktop.test.tsx:31
- Defined in src/layouts/SettingsPage/__test__/SettingsPageMobile.test.tsx:30
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageItemDesktop.test.tsx:31
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageMobile.test.tsx:31

### title

title: string = "Appearance"

- Defined in src/layouts/SettingsPage/__stories__/SettingsPage.stories.tsx:29
- Defined in src/layouts/SettingsPage/__test__/SettingsPageDesktop.test.tsx:32
- Defined in src/layouts/SettingsPage/__test__/SettingsPageMobile.test.tsx:31
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageItemDesktop.test.tsx:32
- Defined in src/layouts/SettingsPageItem/__test__/SettingsPageMobile.test.tsx:32

### Const lang

lang: object

- Defined in src/lang/index.ts:4
- Defined in src/lang/index.web.ts:1

### bluebase.intl.messages.ur

bluebase.intl.messages.ur: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/lang/ur"> = import('./ur')

- Defined in src/lang/index.ts:5
- Defined in src/lang/index.web.ts:2

### bluebase.intl.messages.ur-roman

bluebase.intl.messages.ur-roman: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/lang/ur-roman"> = import('./ur-roman')

- Defined in src/lang/index.ts:6
- Defined in src/lang/index.web.ts:3

### Const layouts

layouts: object

- Defined in src/layouts/index.ts:7
- Defined in src/layouts/index.web.ts:1

### SettingsPageDesktop

SettingsPageDesktop: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/layouts/SettingsPage/SettingsPageDesktop"> = import('./SettingsPage/SettingsPageDesktop')

- Defined in src/layouts/index.ts:8
- Defined in src/layouts/index.web.ts:2

### SettingsPageItemDesktop

SettingsPageItemDesktop: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/layouts/SettingsPageItem/SettingsPageItemDesktop"> = import('./SettingsPageItem/SettingsPageItemDesktop')

- Defined in src/layouts/index.ts:9
- Defined in src/layouts/index.web.ts:3

### SettingsPageItemMobile

SettingsPageItemMobile: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/layouts/SettingsPageItem/SettingsPageItemMobile"> = import('./SettingsPageItem/SettingsPageItemMobile')

- Defined in src/layouts/index.ts:10
- Defined in src/layouts/index.web.ts:4

### SettingsPageList

SettingsPageList: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/layouts/SettingsPageList/SettingsPageList"> = import('./SettingsPageList/SettingsPageList')

- Defined in src/layouts/index.ts:11
- Defined in src/layouts/index.web.ts:5

### SettingsPageMobile

SettingsPageMobile: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/layouts/SettingsPage/SettingsPageMobile"> = import('./SettingsPage/SettingsPageMobile')

- Defined in src/layouts/index.ts:12
- Defined in src/layouts/index.web.ts:6

### Const settings

settings: object

- Defined in src/settings/index.ts:12
- Defined in src/settings/index.web.ts:3

### CallSupportSetting

CallSupportSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/CallSupportSetting/index"> = import('./CallSupportSetting')

- Defined in src/settings/index.ts:13
- Defined in src/settings/index.web.ts:4

### DarkModeSetting

DarkModeSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/DarkModeSetting/index"> = import('./DarkModeSetting')

- Defined in src/settings/index.ts:14
- Defined in src/settings/index.web.ts:5

### DeveloperSetting

DeveloperSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/DeveloperSetting/index"> = import('./DeveloperSetting')

- Defined in src/settings/index.ts:15
- Defined in src/settings/index.web.ts:6

### EmailSupportSetting

EmailSupportSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/EmailSupportSetting/index"> = import('./EmailSupportSetting')

- Defined in src/settings/index.ts:16
- Defined in src/settings/index.web.ts:7

### LanguageSetting

LanguageSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/LanguageSetting/index"> = import('./LanguageSetting')

- Defined in src/settings/index.ts:17
- Defined in src/settings/index.web.ts:8

### PrivacyPolicySetting

PrivacyPolicySetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/PrivacyPolicySetting/index"> = import('./PrivacyPolicySetting')

- Defined in src/settings/index.ts:18
- Defined in src/settings/index.web.ts:9

### TermsOfServiceSetting

TermsOfServiceSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/TermsOfServiceSetting/index"> = import('./TermsOfServiceSetting')

- Defined in src/settings/index.ts:19
- Defined in src/settings/index.web.ts:10

### TextDirectionSetting

TextDirectionSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/TextDirectionSetting/index"> = import('./TextDirectionSetting')

- Defined in src/settings/index.ts:20
- Defined in src/settings/index.web.ts:11

### ThemeSelectionSetting

ThemeSelectionSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/ThemeSelectionSetting/index"> = import('./ThemeSelectionSetting')

- Defined in src/settings/index.ts:21
- Defined in src/settings/index.web.ts:12

### VersionSetting

VersionSetting: Promise<"/home/travis/build/BlueBaseJS/plugin-settings-app/src/settings/VersionSetting/index"> = import('./VersionSetting')

- Defined in src/settings/index.ts:22
- Defined in src/settings/index.web.ts:13

Generated using TypeDoc